Sinmad {VGAM} | R Documentation

## The Singh-Maddala Distribution

### Description

Density, distribution function, quantile function and random generation for the Singh-Maddala distribution with shape parameters `a` and `q`, and scale parameter `scale`.

### Usage

    dsinmad(x, scale = 1, shape1.a, shape3.q, log = FALSE)
    psinmad(q, scale = 1, shape1.a, shape3.q, lower.tail = TRUE, log.p = FALSE)
    qsinmad(p, scale = 1, shape1.a, shape3.q, lower.tail = TRUE, log.p = FALSE)
    rsinmad(n, scale = 1, shape1.a, shape3.q)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`shape1.a, shape3.q` | shape parameters.
`scale` | scale parameter.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `sinmad`, which is the VGAM family function for estimating the parameters by maximum likelihood estimation.

### Value

`dsinmad` gives the density, `psinmad` gives the distribution function, `qsinmad` gives the quantile function, and `rsinmad` generates random deviates.

### Note

The Singh-Maddala distribution is a special case of the 4-parameter generalized beta II distribution.

### Author(s)

T. W. Yee and Kai Huang

### References

Kleiber, C. and Kotz, S. (2003) Statistical Size Distributions in Economics and Actuarial Sciences, Hoboken, NJ, USA: Wiley-Interscience.

### See Also

`sinmad`, `genbetaII`.

### Examples

    sdata <- data.frame(y = rsinmad(n = 3000, scale = exp(2),
                                    shape1 = exp(1), shape3 = exp(1)))
    fit <- vglm(y ~ 1, sinmad(lss = FALSE, ishape1.a = 2.1), data = sdata,
                trace = TRUE, crit = "coef")
    coef(fit, matrix = TRUE)
    Coef(fit)

[Package VGAM version 1.0-4 Index]